//
//  EmotionsViewController.swift
//  Face
//
//  Created by Stephen Freund on 10/17/18.
//  Copyright © 2018 Stephen Freund. All rights reserved.
//

import UIKit

class EmotionsViewController: UIViewController {
  
  private let emotions : [String:FacialExpression] = [
    "Sad" : FacialExpression(eyes : .closed, mouth: .frown),
    "Happy" : FacialExpression(eyes : .open, mouth: .smile),
    "Dazed" : FacialExpression(eyes : .closed, mouth: .neutral),
    ]
  // MARK: - Navigation
  
  // In a storyboard-based application, you will often want to do a little preparation before navigation
  override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
    let destinationViewController = segue.destination
    if let faceViewController = destinationViewController as? FaceViewController,
      let identifier = segue.identifier,
      let expression = emotions[identifier] {
        faceViewController.expression = expression
        faceViewController.title = identifier
    }
  }
}
